import { request } from '@/api/_service'

const BASE = 'production_configuration/device_model/device_category/'

function apiParams (method, data = {}) {
  return {
    method: `production_configuration_device_model_device_category_${method}`,
    platform: 'background',
    ...data
  }
}

export function getDeviceCategoryAll (data) {
  return request({
    url: BASE + 'all',
    method: 'get',
    params: apiParams('all', data)
  })
}
